import { SQL } from "drizzle-orm";
import { ODataComparisonType } from "../../../../../fd-toolbox/odata/odata-enums";
export declare function getComparisonTypeFromOperation(operation: ODataComparisonType): (left: SQL, right: unknown) => any;
export declare function isNullOrUndefinedWithLogging<T>(objectName: string, obj?: T): boolean;
export declare function convertPropertyNameToTableName(propertyName: string): string;
export declare function compareDateOrDefault(left: SQL, right: unknown): SQL<unknown>;
